Subject: RE: [SIP] Service/subscriber information definitions

From: "Sinnreich, Henry" <[email-masked]>
Date: Tue, 23 May 2000 15:09:00 +0000

>There has been much talk over recent months of the Internet's 
>end-to-end 
>architecture, and the way that it allows innovation by any 
>connected party 
>rather than just those that control the core. 

Yes, this is a key issue. Maybe we should be aware what is 'fogging the
internet':
 * Firewalls,
 * NATS
 * WAP (discussion at 47th IETF plenary)
 * Web load balancing switching and web caching
 * Generic "softswitches" with proprietary Call Agent - similar Garden Wall
to services like WAP.

Would actually appreciate the feelings of the list members on the effects of
"soft switches" on Internet Transparency (RFC 2775).

Thanks, Henry

>-----Original Message-----
>From: Graham Klyne [mailto:[email-masked]]
>Sent: Tuesday, May 23, 2000 3:44 AM
>To: James Kempf
>Cc: [email-masked]; [email-masked]; [email-masked];
>[email-masked]
>Subject: [SIP] Service/subscriber information definitions
>
>
>At 01:41 PM 5/22/00 -0700, James Kempf wrote:
>
>> >However, it is *very* clear to me that in the "new world"
>> >of web-based or web-like services (and services definition)
>> >that standardization of anything but the most rudimentary
>> >subscriber information or core services will not make it in
>> >"new world" deployments.
>> >
>> >Don't fence me in,
>> >
>>
>>Don't see why this should be any more the case for a telephony
>>DTD than for any other standardized XML document. Naturally,
>>there needs to be some provision in the format for extensibility,
>
>[...]
>
>There has been much talk over recent months of the Internet's 
>end-to-end 
>architecture, and the way that it allows innovation by any 
>connected party 
>rather than just those that control the core.  (I think SIP is 
>just one 
>fruit of this realization.)
>
>I think there is a new front emerging over which the tensions between 
>centralized and decentralized control will occur:  content 
>formats.  How 
>many organizations are stuck with a certain vendor's software 
>because their 
>documents are in the format of that software?  Through XML, 
>XML namespaces, 
>RDF and other initiatives, W3C are working on content formats 
>that offer 
>the potential for an end-to-end content architecture, much as IP has 
>provided an end-to-end communication architecture.  The key is 
>something 
>that Tim Berners-Lee has called "language mixing".  (see 
>http://www.w3.org/DesignIssues/Evolution.html)
>
>These ideas are being developed in the context of WWW, but I 
>belive are 
>applicable to other Interbnet applications.
>
>In summary:  using the right tools, a definition of core 
>information should 
>not be a fence, but a springboard.  (In this, I am broadly 
>agreeing with 
>James.)
>
>#g
>
>
>------------
>Graham Klyne
>([email-masked])
>
>
>
>_______________________________________________
>SIP mailing list
>[email-masked]
>http://lists.bell-labs.com/mailman/listinfo/sip
>

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip